Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_clio.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_clio.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_clio.F90	(revision 2636)
@@ -232,8 +232,7 @@
       !!---------------------------------------------------------------------
 
-      IF(wrk_in_use(3, 1,2,3))THEN
-         CALL ctl_stop('blk_oce_clio: requested workspace arrays are unavailable.')
-         RETURN
-      END IF
+      IF( wrk_in_use(3, 1,2,3) ) THEN
+         CALL ctl_stop('blk_oce_clio: requested workspace arrays are unavailable')   ;   RETURN
+      ENDIF
 
       zpatm = 101000.      ! atmospheric pressure  (assumed constant here)
@@ -386,8 +385,6 @@
       ENDIF
 
-      IF(wrk_not_released(3, 1,2,3))THEN
-         CALL ctl_stop('blk_oce_clio: failed to release workspace arrays.')
-      END IF
-
+      IF( wrk_not_released(3, 1,2,3) )   CALL ctl_stop('blk_oce_clio: failed to release workspace arrays')
+      !
    END SUBROUTINE blk_oce_clio
 
@@ -420,10 +417,10 @@
       !!
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
-      USE wrk_nemo, ONLY:  ztatm => wrk_2d_1   ! Tair in Kelvin
-      USE wrk_nemo, ONLY:  zqatm => wrk_2d_2   ! specific humidity
-      USE wrk_nemo, ONLY: zevsqr => wrk_2d_3   ! vapour pressure square-root
-      USE wrk_nemo, ONLY:  zrhoa => wrk_2d_4   ! air density
-      USE wrk_nemo, ONLY: wrk_3d_1, wrk_3d_2
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
+      USE wrk_nemo, ONLY:   ztatm  => wrk_2d_1   ! Tair in Kelvin
+      USE wrk_nemo, ONLY:   zqatm  => wrk_2d_2   ! specific humidity
+      USE wrk_nemo, ONLY:   zevsqr => wrk_2d_3   ! vapour pressure square-root
+      USE wrk_nemo, ONLY:   zrhoa  => wrk_2d_4   ! air density
+      USE wrk_nemo, ONLY:   wrk_3d_1 , wrk_3d_2
       !!
       REAL(wp), INTENT(in   ), DIMENSION(:,:,:)   ::   pst      ! ice surface temperature                   [Kelvin]
@@ -457,7 +454,6 @@
       !!---------------------------------------------------------------------
 
-      IF( (wrk_in_use(2, 1,2,3,4)) .OR. (wrk_in_use(3, 1,2)) )THEN
-         CALL ctl_stop('blk_ice_clio: requested workspace arrays are unavailable.')
-         RETURN
+      IF(  wrk_in_use(2, 1,2,3,4)  .OR.  wrk_in_use(3, 1,2)  ) THEN
+         CALL ctl_stop('blk_ice_clio: requested workspace arrays are unavailable')   ;   RETURN
       ELSE IF(pdim > jpk)THEN
          CALL ctl_stop('blk_ice_clio: too many ice levels to use wrk_nemo 3D workspaces.')
@@ -637,8 +633,8 @@
       ENDIF
 
-      IF( (wrk_not_released(2, 1,2,3,4)) .OR. (wrk_not_released(3, 1,2)) )THEN
+      IF( wrk_not_released(2, 1,2,3,4)  .OR.   &
+          wrk_not_released(3, 1,2)        )    &
          CALL ctl_stop('blk_ice_clio: failed to release workspace arrays.')
-      END IF
-
+      !
    END SUBROUTINE blk_ice_clio
 
@@ -654,8 +650,8 @@
       !!               - also initialise sbudyko and stauc once for all 
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
-      USE wrk_nemo, ONLY:   zev => wrk_2d_1                  ! vapour pressure
-      USE wrk_nemo, ONLY: zdlha => wrk_2d_2, zlsrise => wrk_2d_3, zlsset => wrk_2d_4 
-      USE wrk_nemo, ONLY:   zps => wrk_2d_5, zpc => wrk_2d_6 ! sine (cosine) of latitude per sine (cosine) of solar declination 
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
+      USE wrk_nemo, ONLY:   zev   => wrk_2d_1                  ! vapour pressure
+      USE wrk_nemo, ONLY:   zdlha => wrk_2d_2 , zlsrise => wrk_2d_3 , zlsset => wrk_2d_4 
+      USE wrk_nemo, ONLY:   zps   => wrk_2d_5 , zpc     => wrk_2d_6 ! sin/cos of latitude per sin/cos of solar declination 
       !!
       REAL(wp), INTENT(  out), DIMENSION(jpi,jpj)     ::   pqsr_oce    ! shortwave radiation  over the ocean
@@ -679,7 +675,6 @@
       !!---------------------------------------------------------------------
 
-      IF(wrk_in_use(2, 1,2,3,4,5,6))THEN
-         CALL ctl_stop('blk_clio_qsr_oce: requested workspace arrays unavailable.')
-         RETURN
+      IF( wrk_in_use(2, 1,2,3,4,5,6) ) THEN
+         CALL ctl_stop('blk_clio_qsr_oce: requested workspace arrays unavailable')   ;   RETURN
       END IF
 
@@ -796,8 +791,6 @@
       END DO
 
-      IF(wrk_not_released(2, 1,2,3,4,5,6))THEN
-         CALL ctl_stop('blk_clio_qsr_oce: failed to release workspace arrays.')
-      END IF
-
+      IF( wrk_not_released(2, 1,2,3,4,5,6) )   CALL ctl_stop('blk_clio_qsr_oce: failed to release workspace arrays')
+      !
    END SUBROUTINE blk_clio_qsr_oce
 
@@ -813,10 +806,10 @@
       !!               - also initialise sbudyko and stauc once for all 
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
-      USE wrk_nemo, ONLY: zev => wrk_2d_1         ! vapour pressure
-      USE wrk_nemo, ONLY: zdlha => wrk_2d_2       ! 2D workspace
-      USE wrk_nemo, ONLY: zlsrise => wrk_2d_3     ! 2D workspace
-      USE wrk_nemo, ONLY: zlsset => wrk_2d_4      ! 2D workspace
-      USE wrk_nemo, ONLY: zps => wrk_2d_5, zpc => wrk_2d_6   ! sine (cosine) of latitude per sine (cosine) of solar declination 
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
+      USE wrk_nemo, ONLY:   zev     => wrk_2d_1     ! vapour pressure
+      USE wrk_nemo, ONLY:   zdlha   => wrk_2d_2     ! 2D workspace
+      USE wrk_nemo, ONLY:   zlsrise => wrk_2d_3     ! 2D workspace
+      USE wrk_nemo, ONLY:   zlsset  => wrk_2d_4     ! 2D workspace
+      USE wrk_nemo, ONLY:   zps     => wrk_2d_5, zpc => wrk_2d_6   ! sin/cos of latitude per sin/cos of solar declination 
       !!
       REAL(wp), INTENT(in   ), DIMENSION(:,:,:) ::   pa_ice_cs   ! albedo of ice under clear sky
@@ -839,8 +832,7 @@
       !!---------------------------------------------------------------------
 
-      IF(wrk_in_use(2, 1,2,3,4,5,6))THEN
-         CALL ctl_stop('blk_clio_qsr_ice: requested workspace arrays unavailable.')
-         RETURN
-      END IF
+      IF( wrk_in_use(2, 1,2,3,4,5,6) ) THEN
+         CALL ctl_stop('blk_clio_qsr_ice: requested workspace arrays unavailable')   ;   RETURN
+      ENDIF
 
       ijpl = SIZE(pqsr_ice, 3 )      ! number of ice categories
@@ -945,7 +937,5 @@
       END DO
       !
-      IF(wrk_not_released(2, 1,2,3,4,5,6))THEN
-         CALL ctl_stop('blk_clio_qsr_ice: failed to release workspace arrays.')
-      END IF
+      IF( wrk_not_released(2, 1,2,3,4,5,6) )   CALL ctl_stop('blk_clio_qsr_ice: failed to release workspace arrays')
       !
    END SUBROUTINE blk_clio_qsr_ice
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_core.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_core.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_core.F90	(revision 2636)
@@ -11,4 +11,5 @@
    !!                           -  Implement reading of 6-hourly fields   
    !!            3.0  !  2006-06  (G. Madec) sbc rewritting   
+   !!             -   !  2006-12  (L. Brodeau) Original code for TURB_CORE_2Z
    !!            3.2  !  2009-04  (B. Lemaire)  Introduce iom_put
    !!            3.3  !  2010-10  (S. Masson)  add diurnal cycle
@@ -208,30 +209,28 @@
       !!  ** Nota  :   sf has to be a dummy argument for AGRIF on NEC
       !!---------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
-      USE wrk_nemo, ONLY: zwnd_i => wrk_2d_1, zwnd_j  => wrk_2d_2   ! wind speed components at T-point
-      USE wrk_nemo, ONLY: zqsatw => wrk_2d_3           ! specific humidity at pst
-      USE wrk_nemo, ONLY: zqlw => wrk_2d_4, zqsb => wrk_2d_5       ! long wave and sensible heat fluxes
-      USE wrk_nemo, ONLY: zqla => wrk_2d_6, zevap => wrk_2d_7      ! latent heat fluxes and evaporation
-      USE wrk_nemo, ONLY:    Cd => wrk_2d_8           ! transfer coefficient for momentum      (tau)
-      USE wrk_nemo, ONLY:    Ch => wrk_2d_9           ! transfer coefficient for sensible heat (Q_sens)
-      USE wrk_nemo, ONLY:    Ce => wrk_2d_10          ! transfer coefficient for evaporation   (Q_lat)
-      USE wrk_nemo, ONLY:   zst => wrk_2d_11          ! surface temperature in Kelvin
-      USE wrk_nemo, ONLY: zt_zu => wrk_2d_12          ! air temperature at wind speed height
-      USE wrk_nemo, ONLY: zq_zu => wrk_2d_13          ! air spec. hum.  at wind speed height
-      !!
-      TYPE(fld), INTENT(in), DIMENSION(:)       ::   sf    ! input data
-      REAL(wp),  INTENT(in), DIMENSION(:,:) ::   pst   ! surface temperature                      [Celcius]
-      REAL(wp),  INTENT(in), DIMENSION(:,:) ::   pu    ! surface current at U-point (i-component) [m/s]
-      REAL(wp),  INTENT(in), DIMENSION(:,:) ::   pv    ! surface current at V-point (j-component) [m/s]
-
-      INTEGER  ::   ji, jj     ! dummy loop indices
-      REAL(wp) ::   zcoef_qsatw
-      REAL(wp) ::   zztmp                                 ! temporary variable
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
+      USE wrk_nemo, ONLY:   zwnd_i => wrk_2d_1  , zwnd_j => wrk_2d_2      ! wind speed components at T-point
+      USE wrk_nemo, ONLY:   zqsatw => wrk_2d_3           ! specific humidity at pst
+      USE wrk_nemo, ONLY:   zqlw   => wrk_2d_4  , zqsb   => wrk_2d_5      ! long wave and sensible heat fluxes
+      USE wrk_nemo, ONLY:   zqla   => wrk_2d_6  , zevap  => wrk_2d_7      ! latent heat fluxes and evaporation
+      USE wrk_nemo, ONLY:   Cd     => wrk_2d_8           ! transfer coefficient for momentum      (tau)
+      USE wrk_nemo, ONLY:   Ch     => wrk_2d_9           ! transfer coefficient for sensible heat (Q_sens)
+      USE wrk_nemo, ONLY:   Ce     => wrk_2d_10          ! transfer coefficient for evaporation   (Q_lat)
+      USE wrk_nemo, ONLY:   zst    => wrk_2d_11          ! surface temperature in Kelvin
+      USE wrk_nemo, ONLY:   zt_zu  => wrk_2d_12          ! air temperature at wind speed height
+      USE wrk_nemo, ONLY:   zq_zu  => wrk_2d_13          ! air spec. hum.  at wind speed height
+      !
+      TYPE(fld), INTENT(in), DIMENSION(:)   ::   sf    ! input data
+      REAL(wp) , INTENT(in), DIMENSION(:,:) ::   pst   ! surface temperature                      [Celcius]
+      REAL(wp) , INTENT(in), DIMENSION(:,:) ::   pu    ! surface current at U-point (i-component) [m/s]
+      REAL(wp) , INTENT(in), DIMENSION(:,:) ::   pv    ! surface current at V-point (j-component) [m/s]
+      !
+      INTEGER  ::   ji, jj               ! dummy loop indices
+      REAL(wp) ::   zcoef_qsatw, zztmp   ! local variable
       !!---------------------------------------------------------------------
 
-      IF(wrk_in_use(2, 1,2,3,4,5,6,7,8,9,10,11,12,13))THEN
-         CALL ctl_stop('blk_oce_core: requested workspace arrays unavailable.')
-         RETURN
-      END IF
+      IF( wrk_in_use(2, 1,2,3,4,5,6,7,8,9,10,11,12,13) ) THEN
+         CALL ctl_stop('blk_oce_core: requested workspace arrays unavailable.')   ;   RETURN
+      ENDIF
       !
       ! local scalars ( place there for vector optimisation purposes)
@@ -383,7 +382,6 @@
       ENDIF
       !
-      IF(wrk_not_released(2, 1,2,3,4,5,6,7,8,9,10,11,12,13))THEN
-         CALL ctl_stop('blk_oce_core: failed to release workspace arrays.')
-      END IF
+      IF( wrk_not_released(2, 1,2,3,4,5,6,7,8,9,10,11,12,13) )   &
+          CALL ctl_stop('blk_oce_core: failed to release workspace arrays')
       !
    END SUBROUTINE blk_oce_core
@@ -407,25 +405,25 @@
       !! caution : the net upward water flux has with mm/day unit
       !!---------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
-      USE wrk_nemo, ONLY: z_wnds_t => wrk_2d_1                ! wind speed ( = | U10m - U_ice | ) at T-point
-      USE wrk_nemo, ONLY: wrk_3d_4, wrk_3d_5, wrk_3d_6, wrk_3d_7
-      !!
-      REAL(wp), DIMENSION(:,:,:)  , INTENT(in   ) ::   pst      ! ice surface temperature (>0, =rt0 over land) [Kelvin]
-      REAL(wp), DIMENSION(:,:)    , INTENT(in   ) ::   pui      ! ice surface velocity (i- and i- components      [m/s]
-      REAL(wp), DIMENSION(:,:)    , INTENT(in   ) ::   pvi      !    at I-point (B-grid) or U & V-point (C-grid)
-      REAL(wp), DIMENSION(:,:,:)  , INTENT(in   ) ::   palb     ! ice albedo (clear sky) (alb_ice_cs)               [%]
-      REAL(wp), DIMENSION(:,:)    , INTENT(  out) ::   p_taui   ! i- & j-components of surface ice stress        [N/m2]
-      REAL(wp), DIMENSION(:,:)    , INTENT(  out) ::   p_tauj   !   at I-point (B-grid) or U & V-point (C-grid)
-      REAL(wp), DIMENSION(:,:,:)  , INTENT(  out) ::   p_qns    ! non solar heat flux over ice (T-point)         [W/m2]
-      REAL(wp), DIMENSION(:,:,:)  , INTENT(  out) ::   p_qsr    !     solar heat flux over ice (T-point)         [W/m2]
-      REAL(wp), DIMENSION(:,:,:)  , INTENT(  out) ::   p_qla    ! latent    heat flux over ice (T-point)         [W/m2]
-      REAL(wp), DIMENSION(:,:,:)  , INTENT(  out) ::   p_dqns   ! non solar heat sensistivity  (T-point)         [W/m2]
-      REAL(wp), DIMENSION(:,:,:)  , INTENT(  out) ::   p_dqla   ! latent    heat sensistivity  (T-point)         [W/m2]
-      REAL(wp), DIMENSION(:,:)    , INTENT(  out) ::   p_tpr    ! total precipitation          (T-point)      [Kg/m2/s]
-      REAL(wp), DIMENSION(:,:),     INTENT(  out) ::   p_spr    ! solid precipitation          (T-point)      [Kg/m2/s]
-      REAL(wp), DIMENSION(:,:),     INTENT(  out) ::   p_fr1    ! 1sr fraction of qsr penetration in ice (T-point)  [%]
-      REAL(wp), DIMENSION(:,:),     INTENT(  out) ::   p_fr2    ! 2nd fraction of qsr penetration in ice (T-point)  [%]
-      CHARACTER(len=1)            , INTENT(in   ) ::   cd_grid  ! ice grid ( C or B-grid)
-      INTEGER                     , INTENT(in   ) ::   pdim     ! number of ice categories
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
+      USE wrk_nemo, ONLY:   z_wnds_t => wrk_2d_1                ! wind speed ( = | U10m - U_ice | ) at T-point
+      USE wrk_nemo, ONLY:   wrk_3d_4 , wrk_3d_5 , wrk_3d_6 , wrk_3d_7
+      !!
+      REAL(wp), DIMENSION(:,:,:), INTENT(in   ) ::   pst      ! ice surface temperature (>0, =rt0 over land) [Kelvin]
+      REAL(wp), DIMENSION(:,:)  , INTENT(in   ) ::   pui      ! ice surface velocity (i- and i- components      [m/s]
+      REAL(wp), DIMENSION(:,:)  , INTENT(in   ) ::   pvi      !    at I-point (B-grid) or U & V-point (C-grid)
+      REAL(wp), DIMENSION(:,:,:), INTENT(in   ) ::   palb     ! ice albedo (clear sky) (alb_ice_cs)               [%]
+      REAL(wp), DIMENSION(:,:)  , INTENT(  out) ::   p_taui   ! i- & j-components of surface ice stress        [N/m2]
+      REAL(wp), DIMENSION(:,:)  , INTENT(  out) ::   p_tauj   !   at I-point (B-grid) or U & V-point (C-grid)
+      REAL(wp), DIMENSION(:,:,:), INTENT(  out) ::   p_qns    ! non solar heat flux over ice (T-point)         [W/m2]
+      REAL(wp), DIMENSION(:,:,:), INTENT(  out) ::   p_qsr    !     solar heat flux over ice (T-point)         [W/m2]
+      REAL(wp), DIMENSION(:,:,:), INTENT(  out) ::   p_qla    ! latent    heat flux over ice (T-point)         [W/m2]
+      REAL(wp), DIMENSION(:,:,:), INTENT(  out) ::   p_dqns   ! non solar heat sensistivity  (T-point)         [W/m2]
+      REAL(wp), DIMENSION(:,:,:), INTENT(  out) ::   p_dqla   ! latent    heat sensistivity  (T-point)         [W/m2]
+      REAL(wp), DIMENSION(:,:)  , INTENT(  out) ::   p_tpr    ! total precipitation          (T-point)      [Kg/m2/s]
+      REAL(wp), DIMENSION(:,:)  , INTENT(  out) ::   p_spr    ! solid precipitation          (T-point)      [Kg/m2/s]
+      REAL(wp), DIMENSION(:,:)  , INTENT(  out) ::   p_fr1    ! 1sr fraction of qsr penetration in ice (T-point)  [%]
+      REAL(wp), DIMENSION(:,:)  , INTENT(  out) ::   p_fr2    ! 2nd fraction of qsr penetration in ice (T-point)  [%]
+      CHARACTER(len=1)          , INTENT(in   ) ::   cd_grid  ! ice grid ( C or B-grid)
+      INTEGER                   , INTENT(in   ) ::   pdim     ! number of ice categories
       !!
       INTEGER  ::   ji, jj, jl    ! dummy loop indices
@@ -447,8 +445,7 @@
 
       ! Set-up access to workspace arrays
-      IF( wrk_in_use(2, 1) .OR. wrk_in_use(3, 4,5,6,7) )THEN
-         CALL ctl_stop('blk_ice_core: requested workspace arrays unavailable.')
-         RETURN
-      ELSE IF(ijpl > jpk)THEN
+      IF( wrk_in_use(2, 1) .OR. wrk_in_use(3, 4,5,6,7) ) THEN
+         CALL ctl_stop('blk_ice_core: requested workspace arrays unavailable')   ;   RETURN
+      ELSE IF(ijpl > jpk) THEN
          CALL ctl_stop('blk_ice_core: no. of ice categories > jpk so wrk_nemo 3D workspaces cannot be used.')
          RETURN
@@ -608,13 +605,12 @@
       ENDIF
 
-      IF( wrk_not_released(2, 1) .OR. wrk_not_released(3, 4,5,6,7) )THEN
-         CALL ctl_stop('blk_ice_core: failed to release workspace arrays.')
-      END IF
-
+      IF( wrk_not_released(2, 1) .OR.   &
+          wrk_not_released(3, 4,5,6,7) )   CALL ctl_stop('blk_ice_core: failed to release workspace arrays')
+      !
    END SUBROUTINE blk_ice_core
   
 
    SUBROUTINE TURB_CORE_1Z(zu, sst, T_a, q_sat, q_a,   &
-      &                        dU, Cd, Ch, Ce   )
+      &                        dU , Cd , Ch   , Ce   )
       !!----------------------------------------------------------------------
       !!                      ***  ROUTINE  turb_core  ***
@@ -629,9 +625,5 @@
       !!      are provided at the same height 'zzu'!
       !!
-      !! References :
-      !!      Large & Yeager, 2004 : ???
-      !! History :
-      !!        !  XX-XX  (???     )  Original code
-      !!   9.0  !  05-08  (L. Brodeau) Rewriting and optimization
+      !! References :   Large & Yeager, 2004 : ???
       !!----------------------------------------------------------------------
       USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released, iwrk_in_use, iwrk_not_released
@@ -651,36 +643,30 @@
       USE wrk_nemo, ONLY: zeta => wrk_2d_27        ! stability parameter at height zu
       USE wrk_nemo, ONLY: U_n10 => wrk_2d_28       ! neutral wind velocity at 10m     [m]
-      USE wrk_nemo, ONLY: xlogt => wrk_2d_29,    xct => wrk_2d_30,   &
-                         zpsi_h => wrk_2d_31, zpsi_m => wrk_2d_32
+      USE wrk_nemo, ONLY: xlogt  => wrk_2d_29,    xct => wrk_2d_30,   &
+                          zpsi_h => wrk_2d_31, zpsi_m => wrk_2d_32
       USE wrk_nemo, ONLY: stab => iwrk_2d_1      ! 1st guess stability test integer
-      !!
-      REAL(wp), INTENT(in) :: zu                 ! altitude of wind measurement       [m]
-      REAL(wp), INTENT(in),  DIMENSION(:,:) ::  &
-         sst,       &       ! sea surface temperature         [Kelvin]
-         T_a,       &       ! potential air temperature       [Kelvin]
-         q_sat,     &       ! sea surface specific humidity   [kg/kg]
-         q_a,       &       ! specific air humidity           [kg/kg]
-         dU                 ! wind module |U(zu)-U(0)|        [m/s]
-      REAL(wp), intent(out), DIMENSION(:,:) :: &
-         Cd,    &                ! transfert coefficient for momentum       (tau)
-         Ch,    &                ! transfert coefficient for temperature (Q_sens)
-         Ce                      ! transfert coefficient for evaporation  (Q_lat)
+      !
+      REAL(wp)                , INTENT(in   ) ::   zu      ! altitude of wind measurement       [m]
+      REAL(wp), DIMENSION(:,:), INTENT(in   ) ::   sst     ! sea surface temperature         [Kelvin]
+      REAL(wp), DIMENSION(:,:), INTENT(in   ) ::   T_a     ! potential air temperature       [Kelvin]
+      REAL(wp), DIMENSION(:,:), INTENT(in   ) ::   q_sat   ! sea surface specific humidity   [kg/kg]
+      REAL(wp), DIMENSION(:,:), INTENT(in   ) ::   q_a     ! specific air humidity           [kg/kg]
+      REAL(wp), DIMENSION(:,:), INTENT(in   ) ::   dU      ! wind module |U(zu)-U(0)|        [m/s]
+      REAL(wp), DIMENSION(:,:), INTENT(  out) ::   Cd      ! transfert coefficient for momentum       (tau)
+      REAL(wp), DIMENSION(:,:), INTENT(  out) ::   Ch      ! transfert coefficient for temperature (Q_sens)
+      REAL(wp), DIMENSION(:,:), INTENT(  out) ::   Ce      ! transfert coefficient for evaporation  (Q_lat)
       !!
       INTEGER :: j_itt
-      INTEGER, PARAMETER :: nb_itt = 3
-
-      REAL(wp), PARAMETER ::                        &
-         grav   = 9.8,          &  ! gravity                       
-         kappa  = 0.4              ! von Karman s constant
+      INTEGER , PARAMETER ::   nb_itt = 3
+      REAL(wp), PARAMETER ::   grav   = 9.8   ! gravity                       
+      REAL(wp), PARAMETER ::   kappa  = 0.4   ! von Karman s constant
       !!----------------------------------------------------------------------
 
-      IF( wrk_in_use(2, 14,15,16,17,18,         &
-                        19,20,21,22,23,24,      &
-                        25,26,27,28,29,30,      &
-                        31,32)             .OR. &
-          iwrk_in_use(2, 1) )THEN
-         CALL ctl_stop('TURB_CORE_1Z: requested workspace arrays unavailable.')
-         RETURN
-      END IF
+      IF( wrk_in_use(2,             14,15,16,17,18,19,      &
+                        20,21,22,23,24,25,26,27,28,29,      &
+                        30,31,32)                      .OR. &
+          iwrk_in_use(2, 1)                              ) THEN
+         CALL ctl_stop('TURB_CORE_1Z: requested workspace arrays unavailable')   ;   RETURN
+      ENDIF
 
       !! * Start
@@ -743,12 +729,10 @@
       END DO
       !!
-      IF( wrk_not_released(2, 14,15,16,17,18,          &
-                              19,20,21,22,23,24,       &
-                              25,26,27,28,29,30,       &
-                              31,32)              .OR. &
-          iwrk_not_released(2, 1) )THEN
-         CALL ctl_stop('TURB_CORE_1Z: failed to release workspace arrays.')
-      END IF
-      !!
+      IF( wrk_not_released(2,             14,15,16,17,18,19,          &
+         &                    20,21,22,23,24,25,26,27,28,29,          &
+         &                    30,31,32                      )   .OR.  &      
+         iwrk_not_released(2, 1)                                  )   &
+         CALL ctl_stop('TURB_CORE_1Z: failed to release workspace arrays')
+      !
     END SUBROUTINE TURB_CORE_1Z
 
@@ -767,8 +751,5 @@
       !!      whereas wind (dU) is at 10m.
       !!
-      !! References :
-      !!      Large & Yeager, 2004 : ???
-      !! History :
-      !!   9.0  !  06-12  (L. Brodeau) Original code for 2Z
+      !! References :   Large & Yeager, 2004 : ???
       !!----------------------------------------------------------------------
       USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released, iwrk_in_use, iwrk_not_released
@@ -899,5 +880,5 @@
          CALL ctl_stop('TURB_CORE_2Z: requested workspace arrays unavailable.')
       END IF
-
+      !
     END SUBROUTINE TURB_CORE_2Z
 
@@ -926,5 +907,5 @@
            & + (1. - stabit)*(2*log((1. + X)/2) + log((1. + X2)/2) - 2*atan(X) + pi/2)  ! Unstable 
 
-      IF(wrk_not_released(2, 33,34,35))THEN
+      IF( wrk_not_released(2, 33,34,35) ) THEN
          CALL ctl_stop('psi_m: failed to release workspace arrays.')
          RETURN
@@ -946,8 +927,7 @@
       !-------------------------------------------------------------------------------
 
-      IF(wrk_in_use(2, 33,34,35))THEN
-         CALL ctl_stop('psi_h: requested workspace arrays unavailable.')
-         RETURN
-      END IF
+      IF( wrk_in_use(2, 33,34,35) ) THEN
+         CALL ctl_stop('psi_h: requested workspace arrays unavailable')   ;   RETURN
+      ENDIF
 
       X2 = sqrt(abs(1. - 16.*zta))  ;  X2 = max(X2 , 1.) ;  X  = sqrt(X2)
@@ -956,9 +936,6 @@
            & + (1. - stabit)*(2.*log( (1. + X2)/2. ))                 ! Unstable
 
-      IF(wrk_not_released(2, 33,34,35))THEN
-         CALL ctl_stop('psi_h: failed to release workspace arrays.')
-         RETURN
-      END IF
-
+      IF( wrk_not_released(2, 33,34,35) )   CALL ctl_stop('psi_h: failed to release workspace arrays.')
+      !
     END FUNCTION psi_h
   
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 2636)
@@ -223,7 +223,7 @@
       !!---------------------------------------------------------------------
 
-      IF(wrk_in_use(2,1,2) ) THEN
-         CALL ctl_stop('sbc_cpl_init: requested workspace arrays unavailable.')   ;   RETURN
-      END IF
+      IF(wrk_in_use(2, 1,2) ) THEN
+         CALL ctl_stop('sbc_cpl_init: requested workspace arrays unavailable')   ;   RETURN
+      ENDIF
 
       ! ================================ !
@@ -563,8 +563,6 @@
          &   CALL ctl_stop( 'sbc_cpl_init: diurnal cycle reconstruction (ln_dm2dc) needs daily couping for solar radiation' )
 
-      IF(wrk_not_released(2,1,2))THEN
-         CALL ctl_stop('sbc_cpl_init: failed to release workspace arrays.')
-      END IF
-
+      IF( wrk_not_released(2, 1,2) )   CALL ctl_stop('sbc_cpl_init: failed to release workspace arrays.')
+      !
    END SUBROUTINE sbc_cpl_init
 
@@ -629,8 +627,7 @@
       !!----------------------------------------------------------------------
 
-      IF(wrk_in_use(2, 1,2))THEN
-         CALL ctl_stop('sbc_cpl_rcv: requested workspace arrays unavailable.')
-         RETURN
-      END IF
+      IF( wrk_in_use(2, 1,2) ) THEN
+         CALL ctl_stop('sbc_cpl_rcv: requested workspace arrays unavailable')   ;   RETURN
+      ENDIF
 
       IF( kt == nit000 )   CALL sbc_cpl_init( k_ice )          ! initialisation
@@ -820,7 +817,5 @@
       ENDIF
       !
-      IF(wrk_not_released(2, 1,2))THEN
-         CALL ctl_stop('sbc_cpl_rcv: failed to release workspace arrays.')
-      END IF
+      IF( wrk_not_released(2, 1,2) )   CALL ctl_stop('sbc_cpl_rcv: failed to release workspace arrays')
       !
    END SUBROUTINE sbc_cpl_rcv
@@ -870,8 +865,7 @@
       !!----------------------------------------------------------------------
 
-      IF(wrk_in_use(2,1,2))THEN
-         CALL ctl_stop('sbc_cpl_ice_tau: requested workspace arrays unavailable.')
-         RETURN
-      END IF
+      IF( wrk_in_use(2, 1,2) ) THEN
+         CALL ctl_stop('sbc_cpl_ice_tau: requested workspace arrays unavailable')   ;   RETURN
+      ENDIF
 
       IF( srcv(jpr_itx1)%laction ) THEN   ;   itx =  jpr_itx1   
@@ -1041,7 +1035,5 @@
       ENDIF
       !   
-      IF(wrk_not_released(2,1,2))THEN
-         CALL ctl_stop('sbc_cpl_ice_tau: failed to release workspace arrays.')
-      END IF
+      IF( wrk_not_released(2, 1,2) )   CALL ctl_stop('sbc_cpl_ice_tau: failed to release workspace arrays')
       !
    END SUBROUTINE sbc_cpl_ice_tau
@@ -1118,8 +1110,7 @@
       !!----------------------------------------------------------------------
 
-      IF( wrk_in_use(2,1,2,3) .OR. wrk_in_use(3,1) )THEN
-         CALL ctl_stop('sbc_cpl_ice_flx: requested workspace arrays unavailable.')
-         RETURN
-      END IF
+      IF( wrk_in_use(2, 1,2,3) .OR. wrk_in_use(3, 1) ) THEN
+         CALL ctl_stop('sbc_cpl_ice_flx: requested workspace arrays unavailable')   ;   RETURN
+      ENDIF
 
       zicefr(:,:,1) = 1.- p_frld(:,:,1)
@@ -1240,8 +1231,7 @@
       END SELECT
 
-      IF( wrk_not_released(2,1,2,3) .OR. wrk_not_released(3,1) )THEN
-         CALL ctl_stop('sbc_cpl_ice_flx: failed to release workspace arrays.')
-      END IF
-
+      IF( wrk_not_released(2, 1,2,3) .OR.   &
+          wrk_not_released(3, 1)      )   CALL ctl_stop('sbc_cpl_ice_flx: failed to release workspace arrays')
+      !
    END SUBROUTINE sbc_cpl_ice_flx
    
@@ -1268,8 +1258,7 @@
       !!----------------------------------------------------------------------
 
-      IF(wrk_in_use(2, 1,2,3,4,5,6,7,8,9))THEN
-         CALL ctl_stop('sbc_cpl_snd: requested workspace arrays are unavailable.');
-         RETURN
-      END IF
+      IF( wrk_in_use(2, 1,2,3,4,5,6,7,8,9) ) THEN
+         CALL ctl_stop('sbc_cpl_snd: requested workspace arrays are unavailable')   ;   RETURN
+      ENDIF
 
       isec = ( kt - nit000 ) * NINT(rdttra(1))        ! date of exchanges
@@ -1444,10 +1433,7 @@
          ! 
       ENDIF
-   !
-      IF(wrk_not_released(2, 1,2,3,4,5,6,7,8,9))THEN
-         CALL ctl_stop('sbc_cpl_snd: failed to release workspace arrays.');
-         RETURN
-      END IF
-   !
+      !
+      IF( wrk_not_released(2, 1,2,3,4,5,6,7,8,9) )   CALL ctl_stop('sbc_cpl_snd: failed to release workspace arrays')
+      !
    END SUBROUTINE sbc_cpl_snd
    
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcdcy.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcdcy.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcdcy.F90	(revision 2636)
@@ -10,6 +10,5 @@
 
    !!----------------------------------------------------------------------
-   !!  sbc_dcy : compute solar flux at kt from daily mean, taking 
-   !!            diurnal cycle into account
+   !!  sbc_dcy : solar flux at kt from daily mean, taking diurnal cycle into account
    !!----------------------------------------------------------------------
    USE oce              ! ocean dynamics and tracers
@@ -33,5 +32,5 @@
    !! NEMO/OPA 3.3 , NEMO-consortium (2010) 
    !! $Id$ 
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 CONTAINS
@@ -41,5 +40,4 @@
          !!                ***  FUNCTION sbc_dcy_alloc  ***
          !!----------------------------------------------------------------------
-         !
          ALLOCATE( raa (jpi,jpj) , rbb  (jpi,jpj) , rcc  (jpi,jpj) , rab  (jpi,jpj) ,     &
             &      rtmd(jpi,jpj) , rdawn(jpi,jpj) , rdusk(jpi,jpj) , rscal(jpi,jpj) , STAT=sbc_dcy_alloc )
@@ -47,5 +45,4 @@
          IF( lk_mpp             )   CALL mpp_sum ( sbc_dcy_alloc )
          IF( sbc_dcy_alloc /= 0 )   CALL ctl_warn('sbc_dcy_alloc: failed to allocate arrays')
-         !
       END FUNCTION sbc_dcy_alloc
 
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_if.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_if.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_if.F90	(revision 2636)
@@ -19,4 +19,5 @@
    USE iom             ! I/O manager library
    USE in_out_manager  ! I/O manager
+   USE lib_mpp         ! MPP library
 
    IMPLICIT NONE
